commit:     3bfeb8ab8f445b561fa34274c65b9349ed91b76e
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 15 10:36:41 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Thu Oct 15 11:00:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3bfeb8ab

dev-python/colorama: Bump to 0.4.4

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/colorama/Manifest              |  1 +
 dev-python/colorama/colorama-0.4.4.ebuild | 46 +++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/colorama/Manifest b/dev-python/colorama/Manifest
index 70a45a5bb47..5f26acba574 100644
--- a/dev-python/colorama/Manifest
+++ b/dev-python/colorama/Manifest
@@ -1 +1,2 @@
 DIST colorama-0.4.3.github.tar.gz 107251 BLAKE2B 
e09e92171b6ea4b3db4801feaf794e9aeb4f2b3e57079907911cbb909167b192eb857f0b404fa45673bee3bc02c122326bd05091846755d7dbfd990a74c60a24
 SHA512 
ab41a2f95fe75de0b280c174c6166b86645e5cc675dcedf784fe15170aae630e831370527c9490342b77c7d088a023a48428a519b52ad1c70be58904742a94c8
+DIST colorama-0.4.4.github.tar.gz 109439 BLAKE2B 
cbf08d4bd26924e269fd8b2ae6f9c7ecec905907acb296ded52b6b9c473c1a3b88945563cf00d4ddbf01c5bbfc4244997da20b47051594ca86a632a33c29fed2
 SHA512 
35501915b79bfc5fe46a36f83790ecd79c82150d6b73a57cd55fbe6431ea5ed7a86676504af90147eeb3a963ffd16890e0220099df579a66f2d8f1f7494f862e

diff --git a/dev-python/colorama/colorama-0.4.4.ebuild 
b/dev-python/colorama/colorama-0.4.4.ebuild
new file mode 100644
index 00000000000..f36db2e209c
--- /dev/null
+++ b/dev-python/colorama/colorama-0.4.4.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( pypy3 python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="ANSI escape character sequences for colored terminal text & 
cursor positioning"
+HOMEPAGE="
+       https://pypi.org/project/colorama/
+       https://github.com/tartley/colorama
+"
+# https://github.com/tartley/colorama/pull/183
+SRC_URI="https://github.com/tartley/${PN}/archive/${PV}.tar.gz -> 
${P}.github.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~amd64-linux ~x86-linux"
+IUSE="examples test"
+RESTRICT="!test? ( test )"
+
+BDEPEND="
+       test? (
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )
+"
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       if use examples; then
+               docinto examples
+               dodoc -r demos/.
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}
+
+python_test() {
+       # Some tests require stdout to be a TTY
+       # https://github.com/tartley/colorama/issues/169
+       script -eqc "pytest -vv -s" /dev/null \
+               || die "tests failed with ${EPYTHON}"
+}

Reply via email to